import * as __WEBPACK_EXTERNAL_MODULE__ctrl_tinycolor__ from "@ctrl/tinycolor";
import * as __WEBPACK_EXTERNAL_MODULE_antd_style__ from "antd-style";
function _tagged_template_literal(strings, raw) {
    if (!raw) raw = strings.slice(0);
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject() {
    const data = _tagged_template_literal([
        "\n      height: 100%;\n      overflow: hidden;\n      .ant-table-thead {\n        .ant-table-cell {\n          text-align: center;\n        }\n      }\n      .ant-table-wrapper {\n        height: 100%;\n        .ant-spin-nested-loading {\n          height: 100%;\n          .ant-spin-container {\n            height: 100%;\n            display: flex;\n            flex-direction: column;\n          }\n        }\n      }\n      .ant-table {\n        overflow-x: auto;\n        overflow-y: hidden;\n      }\n    "
    ]);
    _templateObject = function() {
        return data;
    };
    return data;
}
function _templateObject1() {
    const data = _tagged_template_literal([
        "\n      // 扩大 SchemaToolbar 的面积\n      .tb-action-link {\n        margin: -",
        "px -",
        "px;\n        padding: ",
        "px ",
        "px;\n      }\n    "
    ]);
    _templateObject1 = function() {
        return data;
    };
    return data;
}
function _templateObject2() {
    const data = _tagged_template_literal([
        "\n      & > td {\n        border-top: 2px solid ",
        " !important;\n      }\n    "
    ]);
    _templateObject2 = function() {
        return data;
    };
    return data;
}
function _templateObject3() {
    const data = _tagged_template_literal([
        "\n      & > td {\n        border-bottom: 2px solid ",
        " !important;\n      }\n    "
    ]);
    _templateObject3 = function() {
        return data;
    };
    return data;
}
function _templateObject4() {
    const data = _tagged_template_literal([
        "\n      & > td {\n        background-color: ",
        " !important;\n      }\n      &:hover > td {\n        background-color: ",
        " !important;\n      }\n    "
    ]);
    _templateObject4 = function() {
        return data;
    };
    return data;
}
function _templateObject5() {
    const data = _tagged_template_literal([
        "\n      max-width: 300px;\n      white-space: nowrap;\n      &:hover .general-schema-designer {\n        display: block;\n      }\n    "
    ]);
    _templateObject5 = function() {
        return data;
    };
    return data;
}
function _templateObject6() {
    const data = _tagged_template_literal([
        "\n      max-width: 300px;\n      white-space: nowrap;\n      .tb-read-pretty-input-number {\n        text-align: right;\n      }\n      .ant-color-picker-trigger {\n        position: absolute;\n        top: 50%;\n        transform: translateY(-50%);\n      }\n    "
    ]);
    _templateObject6 = function() {
        return data;
    };
    return data;
}
function _templateObject7() {
    const data = _tagged_template_literal([
        "\n      position: relative;\n      display: flex;\n      float: left;\n      align-items: center;\n      justify-content: space-evenly;\n      padding-right: 8px;\n      .tb-table-index {\n        opacity: 0;\n      }\n      &:not(.checked) {\n        .tb-table-index {\n          opacity: 1;\n        }\n      }\n    "
    ]);
    _templateObject7 = function() {
        return data;
    };
    return data;
}
function _templateObject8() {
    const data = _tagged_template_literal([
        "\n      &:hover {\n        .tb-table-index {\n          opacity: 0;\n        }\n        .tb-origin-node {\n          display: block;\n        }\n      }\n    "
    ]);
    _templateObject8 = function() {
        return data;
    };
    return data;
}
function _templateObject9() {
    const data = _tagged_template_literal([
        "\n      position: relative;\n      display: flex;\n      align-items: center;\n      justify-content: space-evenly;\n    "
    ]);
    _templateObject9 = function() {
        return data;
    };
    return data;
}
function _templateObject10() {
    const data = _tagged_template_literal([
        "\n      position: absolute;\n      right: 50%;\n      transform: translateX(50%);\n      &:not(.checked) {\n        display: none;\n      }\n    "
    ]);
    _templateObject10 = function() {
        return data;
    };
    return data;
}
const useStyles = (0, __WEBPACK_EXTERNAL_MODULE_antd_style__.createStyles)((param)=>{
    let { css, token } = param;
    const borderColor = new __WEBPACK_EXTERNAL_MODULE__ctrl_tinycolor__.TinyColor(token.colorSettings).setAlpha(0.6).toHex8String();
    return {
        container: css(_templateObject()),
        toolbar: css(_templateObject1(), token.paddingContentVerticalLG, token.marginSM, token.paddingContentVerticalLG, token.marginSM),
        topActive: css(_templateObject2(), borderColor),
        bottomActive: css(_templateObject3(), borderColor),
        highlightRow: css(_templateObject4(), token.controlItemBgActiveHover, token.controlItemBgActiveHover),
        headerCellDesigner: css(_templateObject5()),
        bodyCell: css(_templateObject6()),
        rowSelect: css(_templateObject7()),
        rowSelectHover: css(_templateObject8()),
        cellChecked: css(_templateObject9()),
        cellCheckedNode: css(_templateObject10())
    };
});
export { useStyles };
